本帖最后由 作者 于 2006-11-6 17:43:07 编辑
Sub N12()
On Error Resume Next Dim ENT As AcadEntity Dim sset As AcadSelectionSet Dim objtext As AcadText On Error Resume Next If Not IsNull(ThisDrawing.SelectionSets.Item("TEXT")) Then Set sset = ThisDrawing.SelectionSets.Item("TEXT") sset.Delete End If Set sset = ThisDrawing.SelectionSets.Add("TEXT") Dim filtertype(0) As Integer Dim filterdata(0) As Variant filtertype(0) = 0 filterdata(0) = "text" sset.selectonscreen filtertype, filterdata Dim count As Long count = sset.count Dim text1() ReDim text1(count) Dim i As Long For i = 0 To sset.count - 1 Set text1(i) = sset.Item(i) Next MsgBox UBound(text1) ' For i = LBound(text1) To UBound(text1) 'MsgBox text1(i).TextString 'Next Dim newarray() newarray = getArray(text1) For i = LBound(text1) To UBound(text1) MsgBox newarray(i).TextString Next End Sub
此过程为何不能显示过滤后的字符? |